Skip to main content
GET
/
projects
/
{project_id}
/
runs
/
{run_id}
/
traces
List traces
curl --request GET \
  --url https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/traces \
  --header 'Accept: <accept>' \
  --header 'X-Api-Key: <x-api-key>'
{
  "traces": [
    {
      "test_entity_id": "vhrscje",
      "title": "adds an item to the cart",
      "trace_urls": [
        "https://trace.playwright.dev/?trace=https://cdn.neetoplaydash.com/traces/abc123.zip"
      ]
    }
  ]
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Accept
enum<string>
default:application/json
required

Specifies the expected response format. Must be set to application/json for proper API communication.

Available options:
application/json

Path Parameters

project_id
string
required

Id of the project. You can get project_id by listing your projects using the List projects API.

Example:

"pdqmxlz"

run_id
string
required

Id of the run. You can get run_id by listing runs using the List runs API.

Example:

"kftwnab"

Query Parameters

test_entity_id
string

Restrict the traces to a single test entity. When omitted, traces for all test entities in the run are returned.

Example:

"vhrscje"

Response

200 - application/json

OK - Request succeeded

traces
object[]